gtkmm 4.7.1

List of all members
Gtk::TreeIterBase2 Class Reference
TreeView Classes

Base of TreeIter, TreeRow and TreeNodeChildren. More...

`#include <gtkmm/treeiter.h>`

Inheritance diagram for Gtk::TreeIterBase2:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Gtk::TreeIterBase
| TreeIterBase (const TreeIterBase & other) noexcept
TreeIterBase & | operator= (const TreeIterBase & other) noexcept
| TreeIterBase (TreeIterBase && other) noexcept
TreeIterBase & | operator= (TreeIterBase && other) noexcept
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter * gobject)
GtkTreeIter * | gobj ()
| Provides access to the underlying C instance. More...
const GtkTreeIter * | gobj () const
| Provides access to the underlying C instance. More...
Static Public Member Functions inherited from Gtk::TreeIterBase
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Protected Attributes inherited from Gtk::TreeIterBase
GtkTreeIter | gobject_

## Detailed Description

Base of TreeIter, TreeRow and TreeNodeChildren.